<?php

namespace App;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class AdmissionFee extends Model
{
    use HasFactory;

    protected $guarded = [];


     public function customer()
    {
        return $this->belongsTo(Customer::class);
    }

    /**
     * Relationship: AdmissionFee belongs to a BankAccount (optional).
     */
    public function bankAccount()
    {
        return $this->belongsTo(BankAccount::class);
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
